#include <CompactQik2s9v1.h>    // From pololu.com or ARB Support Site
#include <SoftwareSerial.h>

#define rxPin 5
#define txPin 6
#define rstPin 7

SoftwareSerial mySerial =  SoftwareSerial(rxPin, txPin);
CompactQik2s9v1 motor = CompactQik2s9v1(&mySerial,rstPin);

void setup() {
  mySerial.begin(9600);
  motor.begin();
  motor.stopBothMotors();
}

void loop() {
  // Both motors forward
  doDelay();
  motor.motor0Forward(127);    // Left motor
  motor.motor1Forward(127);    // Right motor
  delay (2000);

  // Both motors reverse
  doDelay();
  motor.motor0Reverse(127);
  motor.motor1Reverse(127);  
  delay (2000);

  // Turn left
  doDelay();
  motor.motor0Reverse(127);
  motor.motor1Forward(127);  
  delay (2000);  

  // Turn right
  doDelay();
  motor.motor0Forward(127);
  motor.motor1Reverse(127);
  delay (2000);  
}

void doDelay() {    // Short delay between transitions
  motor.motor0Forward(0);
  motor.motor1Forward(0);  
  delay (250);
}

